Как подключить модуль apache к различным версиям php в ISP

0
ISP PHP Apache

Подключаем модуль apache к различным версиям php в ISP панели следующим образом: заходим под root доступом, идём в раздел «Возможности», далее выделяем необходимую версию PHP и в верхнем меню нажимаем «Изменить», после чего ставим чекбокс на пункт «ISPsystem модуль PHP для Apache версии», — ждём окончания установки модуля!
Теперь идём в раздел «Настройки» — > «PHP» в столбце «Модуль Apache» выбираем ту же версию php, для которой устанавливали модуль. Можно выбрать только одну версию PHP, которая будет поддерживать apache, для этого нужно щёлкнуть указателем мыши напротив нужной версии.

При этом, FastCGI (Nginx + PHP-FPM) будут доступны для всех версий PHP.

Если вам нужно, чтобы на PHP работали нужные вам модули и расширения, их можно установить из панели ISP. Для этого идём в пункт меню «Настройки web-сервера» > PHP, затем в списке установленных версий выбираем нужную и в верхнем меню выбираем «Расширения». После включения нужного расширения или расширений (нажимаем на синюю лампочку если оно не активно; включенное расширение имеет иконку желтой лампочки), необходимо перезапустить httpd сервер, командой:

sudo service httpd restart.


ОСТАВЬТЕ ОТВЕТ